com.pivotal.gemfirexd.internal.client.am

## Class GetFileInputStreamAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.GetFileInputStreamAction

All Implemented Interfaces:
  PrivilegedExceptionAction

    public class GetFileInputStreamAction
    extends Object
    implements PrivilegedExceptionAction

Java 2 PrivilegedExceptionAction encapsulation of creating a new FileInputStream throws FileNotFoundException

### Constructor Summary

Constructors
Constructor and Description
`GetFileInputStreamAction(String filePathName)`

### Method Summary

Methods
`String` `getCanonicalPath()`
`Object` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetFileInputStreamAction

    public GetFileInputStreamAction(String filePathName)

### Method Detail

#### run

    public Object run()
               throws IOException

Specified by:
  `run` in interface `PrivilegedExceptionAction`
Throws:
  `IOException`

#### getCanonicalPath

    public String getCanonicalPath()